<div class="loader_frame" *ngIf="showLoader">
  <div class="loader"></div>
</div>
<div class="page main-signin-wrapper">
  <div class="row signpages text-center">
    <div class="col-md-12">
      <div class="card">
        <div class="row row-sm">
          <div class="col-lg-12 col-xl-12 col-xs-12 col-sm-12 login_form">
            <div class="container-fluid">
                <div class="card-body mt-2 mb-2">
                  <img src="./assets/img/Isccm-Logo-header.png" alt="logo" class="header-brand-img text-left float-left mb-4" />
                  <div class="clearfix"></div>
                  <form
                    novalidate=""
                    class="ng-untouched ng-pristine ng-valid"
                    [formGroup]="forgotPwdData"
                  >
                  <h1 class="text-center mb-3">Password Recovery</h1>
                  <h5 class="text-center mb-3">Enter your email to recover your password</h5>

                    <div class="form-group text-left">
                      <label>Email</label>
                      <input
                        formControlName="email"
                        type="text"
                        class="form-control ng-untouched ng-pristine ng-valid"
                        [ngClass]="{
                          'is-invalid':
                            (ff.email.touched || submitted) && ff.email.errors
                        }"
                      />
                      <div
                        *ngIf="submitted && ff.email.errors"
                        class="error-container"
                      >
                        <div *ngIf="ff.email.errors.required" class="error">
                          Email is required
                        </div>
                        <div *ngIf="ff.email.errors.pattern" class="error">
                          Invalid email pattern
                        </div>
                      </div>
                    </div>

                    <div class="row mt-5">
                      <div class="col">
                        <button type="button" class="btn ripple btn-main-secondary btn-block" (click)="back()">
                          Cancel
                        </button></div>
                      <div class="col">
                        <button
                      type="submit"
                      class="btn ripple btn-main-primary btn-block"
                      (click)="onSend()"
                    >
                      Send
                    </button>
                      </div>
                    </div>



                  </form>
                  <div class="text-left mt-5 ml-0">

                  </div>
                </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
